Bug 201188 - Undefined libswt-mozilla-gtk symbol: NS_StringContainerInit2
Undefined libswt-mozilla-gtk symbol: NS_StringContainerInit2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 10:25 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.0-6.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 03:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-08-03 10:25:24 EDT
Description of problem:
When I run rssowl I get the following error:
java: symbol lookup error: /usr/lib64/libswt-mozilla-gtk-3232.so: undefined
symbol: NS_StringContainerInit2

I'm pretty sure this rawhide system is up to date.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pavel Roskin 2006-08-04 13:51:31 EDT
Uninstalling Mozilla-1.7.13 helped me with a similar problem.

Eclipse won't start on current Fedora-development, x86-64.

$ eclipse 
/usr/bin/java: symbol lookup error:
/usr/share/eclipse/configuration/org.eclipse.osgi/bundles/36/1/.cp/libswt-mozilla-gtk-3232.so:
undefined symbol: NS_StringContainerInit2

I was also getting a GUI message box with the following text:

JVM terminated. Exit code=127
/usr/bin/java
-jar startup.jar
-os linux
-ws gtk
-arch x86_64
-launcher /usr/bin/eclipse
-name Eclipse
-showsplash 600
-exitdata 290002
-vm /usr/bin/java
-vmargs
-jar startup.jar 

mozilla-1.7.13-1.1.fc5.x86_64 and firefox-1.5.0.5-8.x86_64 were both installed.
 Uninstalling mozilla fixed the problem.  The mozilla package is not in the yum
repository, so it's obsolete.  Still, mere presence of mozilla should not be
breaking eclipse.
Comment 2 Anthony Green 2006-08-04 14:05:23 EDT
(In reply to comment #1)
> Uninstalling Mozilla-1.7.13 helped me with a similar problem.

Thanks for the tip.  Removing mozilla fixed this for me as well, although now I
need to update the rssowl startup script to refer to firefox's libxpcom.so.

Comment 3 Trevin Beattie 2006-08-08 13:09:45 EDT
I just came across a similar JVM crash while trying to start Eclipse on a
newly-installed Fedora Core 6 RC2 system.  The difference in my case is that
mozilla was never installed -- mozilla doesn't even seem to be in the Core 6
distribution at all -- so I can't very well remove it.  Here are the errors I'm
getting.  From the console:

/usr/bin/java: symbol lookup error:
/usr/share/eclipse/configuration/org.eclipse.osgi/bundles/36/1/.cp/libswt-mozilla-gtk-3232.so:
undefined symbol: NS_InitEmbedding

And from the GUI:

JVM terminated. Exit code=127
/usr/bin/java
-jar startup.jar
-os linux
-ws gtk
-arch x86
-launcher /usr/bin/eclipse
-name Eclipse
-showsplash 600
-exitdata 22000d
-vm /usr/bin/java
-vmargs
-jar startup.jar

The .so file causing the error comes from the package libswt3-gtk2.
Comment 4 Ben Konrath 2006-09-20 18:01:36 EDT
(In reply to comment #3)
>
/usr/share/eclipse/configuration/org.eclipse.osgi/bundles/36/1/.cp/libswt-mozilla-gtk-3232.so:
> undefined symbol: NS_InitEmbedding

This should be fixed in 3.2.0-6.fc6.
Comment 5 Andrew Overholt 2006-10-05 16:01:34 EDT
Anthony, can you verify this is fixed?

Note You need to log in before you can comment on or make changes to this bug.